Package com.independentsoft.office.drawing.tableStyles

# Class TableBackground

java.lang.Object
com.independentsoft.office.drawing.tableStyles.TableBackground

public class TableBackground extends Object
The Class TableBackground.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableBackground()`
  Instantiates a new table background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableBackground`
  `clone()`
  `Effect`
  `getEffect()`
  Gets the effect.
  `EffectReference`
  `getEffectReference()`
  Gets the effect reference.
  `FillEffect`
  `getFillEffect()`
  Gets the fill effect.
  `FillReference`
  `getFillReference()`
  Gets the fill reference.
  `void`
  `setEffect​(Effect effect)`
  Sets the effect.
  `void`
  `setEffectReference​(EffectReference effectReference)`
  Sets the effect reference.
  `void`
  `setFillEffect​(FillEffect fillEffect)`
  Sets the fill effect.
  `void`
  `setFillReference​(FillReference fillReference)`
  Sets the fill reference.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableBackground

    public TableBackground()
    Instantiates a new table background.

- ## Method Details

  - ### clone

    public TableBackground clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEffect

    public Effect getEffect()
    Gets the effect.
    Returns:
      the effect

  - ### setEffect

    public void setEffect​(Effect effect)
    Sets the effect.
    Parameters:
      `effect` - the new effect

  - ### getEffectReference

    public EffectReference getEffectReference()
    Gets the effect reference.
    Returns:
      the effect reference

  - ### setEffectReference

    public void setEffectReference​(EffectReference effectReference)
    Sets the effect reference.
    Parameters:
      `effectReference` - the new effect reference

  - ### getFillEffect

    public FillEffect getFillEffect()
    Gets the fill effect.
    Returns:
      the fill effect

  - ### setFillEffect

    public void setFillEffect​(FillEffect fillEffect)
    Sets the fill effect.
    Parameters:
      `fillEffect` - the new fill effect

  - ### getFillReference

    public FillReference getFillReference()
    Gets the fill reference.
    Returns:
      the fill reference

  - ### setFillReference

    public void setFillReference​(FillReference fillReference)
    Sets the fill reference.
    Parameters:
      `fillReference` - the new fill reference